View Issue Details

IDProjectCategoryView StatusLast Update
0003062Far ManagerPlugins APIpublic2016-07-18 00:24
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003062: FSF.CopyToClipboard+FCT_COLUMN рассинхронизирует буфер обмена
DescriptionВ результате этой команды буфер обмена содержит два формата:
CF_UNICODETEXT - старое содержимое
FAR_VerticalBlock_Unicode - новое содержимое

Проблема проявляется в том, что по Shift-Ins в редакторе будет вставлено новое содержимое, а в прочих областях - старое.
Steps To Reproducefar.CopyToClipboard("test 1",far.Flags.FCT_STREAM)
far.CopyToClipboard("test 2",far.Flags.FCT_COLUMN)

После выполнения этих команд содержимое клипборда будет таким:

CF_UNICODETEXT - "test 1"
FAR_VerticalBlock_Unicode - "test 2"
Additional Informationhttp://api.farmanager.com/ru/fsf/copytoclipboard.html

http://forum.farmanager.com/viewtopic.php?p=131066#p131066

Связанный тикет: 0003061
TagsNo tags attached.
Build4437

Activities

vskirdin

2015-10-15 17:09

administrator   bugnote:0013981

<dev>
Тут plugapi.cpp::apiCopyToClipboard()
Для FCT_STREAM юзается SetClipboard, которая самостоятельно очищает буфер.
Для FCT_COLUMN юзается SetClipboardFormat(FCF_VERTICALBLOCK_UNICODE), которая не очищает буфер, а добавляет туда данные. Соответственно OEM остается нетронутым.
Видимо надо перед вызовом SetClipboardFormat вызывать очистку клипборда.
</dev>

vskirdin

2015-10-16 13:06

administrator   bugnote:0013986

build 4437

JohnDoe

2016-07-18 00:21

updater   bugnote:0014670

Закройте, я не могу

Issue History

Date Modified Username Field Change
2015-08-14 19:40 JohnDoe New Issue
2015-10-15 17:09 vskirdin Note Added: 0013981
2015-10-16 13:06 vskirdin Note Added: 0013986
2015-10-16 13:06 vskirdin Assigned To => vskirdin
2015-10-16 13:06 vskirdin Status new => feedback
2016-07-18 00:21 JohnDoe Note Added: 0014670
2016-07-18 00:21 JohnDoe Status feedback => assigned
2016-07-18 00:24 DrKnS Build => 4437
2016-07-18 00:24 DrKnS Status assigned => closed
2016-07-18 00:24 DrKnS Resolution open => fixed
2016-07-18 00:24 DrKnS Fixed in Version => 3.0